Skip to main content
GET
Code interpreter sessions

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

start_time
integer
required

Start time (Unix seconds) of the query time range, inclusive.

end_time
integer

End time (Unix seconds) of the query time range, exclusive.

bucket_width
enum<string>
default:1d

Width of each time bucket in response. Currently 1m, 1h and 1d are supported, default to 1d.

Available options:
1m,
1h,
1d
project_ids
string[]

Return only usage for these projects.

group_by
enum<string>[]

Group the usage data by the specified fields. Support fields include project_id.

Available options:
project_id
limit
integer

Specifies the number of buckets to return.

  • bucket_width=1d: default: 7, max: 31
  • bucket_width=1h: default: 24, max: 168
  • bucket_width=1m: default: 60, max: 1440
page
string

A cursor for use in pagination. Corresponding to the next_page field from the previous response.

Response

200 - application/json

Usage data retrieved successfully.

object
enum<string>
required
Available options:
page
data
object[]
required
has_more
boolean
required
next_page
string
required